/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizione_648;

import java.math.BigDecimal;
import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record12;
import org.jooq.Row12;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class MmRipartizione_648Record extends UpdatableRecordImpl<MmRipartizione_648Record> implements Record12<Long, Integer, Timestamp, Integer, String, BigDecimal, BigDecimal, BigDecimal, BigDecimal, BigDecimal, String, String> {

    private static final long serialVersionUID = -295183658;

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.ID</code>.
     */
    public void setId(Long value) {
        set(0, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.ID</code>.
     */
    public Long getId() {
        return (Long) get(0);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.ID_RIPARTIZIONE_SIADA</code>.
     */
    public void setIdRipartizioneSiada(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.ID_RIPARTIZIONE_SIADA</code>.
     */
    public Integer getIdRipartizioneSiada() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.DATA_ORA_CREAZIONE</code>.
     */
    public void setDataOraCreazione(Timestamp value) {
        set(2, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.DATA_ORA_CREAZIONE</code>.
     */
    public Timestamp getDataOraCreazione() {
        return (Timestamp) get(2);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.ID_SOCIETA_TUTELA</code>.
     */
    public void setIdSocietaTutela(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.ID_SOCIETA_TUTELA</code>.
     */
    public Integer getIdSocietaTutela() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.ID_CCID_METADATA</code>.
     */
    public void setIdCcidMetadata(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.ID_CCID_METADATA</code>.
     */
    public String getIdCcidMetadata() {
        return (String) get(4);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.VALORE_LORDO</code>.
     */
    public void setValoreLordo(BigDecimal value) {
        set(5, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.VALORE_LORDO</code>.
     */
    public BigDecimal getValoreLordo() {
        return (BigDecimal) get(5);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.VALORE_AGGIO_DEM</code>.
     */
    public void setValoreAggioDem(BigDecimal value) {
        set(6, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.VALORE_AGGIO_DEM</code>.
     */
    public BigDecimal getValoreAggioDem() {
        return (BigDecimal) get(6);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.VALORE_AGGIO_DRM</code>.
     */
    public void setValoreAggioDrm(BigDecimal value) {
        set(7, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.VALORE_AGGIO_DRM</code>.
     */
    public BigDecimal getValoreAggioDrm() {
        return (BigDecimal) get(7);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.VALORE_TRATTENUTA</code>.
     */
    public void setValoreTrattenuta(BigDecimal value) {
        set(8, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.VALORE_TRATTENUTA</code>.
     */
    public BigDecimal getValoreTrattenuta() {
        return (BigDecimal) get(8);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.VALORE_NETTO</code>.
     */
    public void setValoreNetto(BigDecimal value) {
        set(9, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.VALORE_NETTO</code>.
     */
    public BigDecimal getValoreNetto() {
        return (BigDecimal) get(9);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.PATH_S3_648</code>.
     */
    public void setPathS3_648(String value) {
        set(10, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.PATH_S3_648</code>.
     */
    public String getPathS3_648() {
        return (String) get(10);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_648.NUMERO_FATTURA</code>.
     */
    public void setNumeroFattura(String value) {
        set(11, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_648.NUMERO_FATTURA</code>.
     */
    public String getNumeroFattura() {
        return (String) get(11);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record12 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row12<Long, Integer, Timestamp, Integer, String, BigDecimal, BigDecimal, BigDecimal, BigDecimal, BigDecimal, String, String> fieldsRow() {
        return (Row12) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row12<Long, Integer, Timestamp, Integer, String, BigDecimal, BigDecimal, BigDecimal, BigDecimal, BigDecimal, String, String> valuesRow() {
        return (Row12) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field1() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.ID_RIPARTIZIONE_SIADA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field3() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.DATA_ORA_CREAZIONE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field4() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.ID_SOCIETA_TUTELA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.ID_CCID_METADATA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field6() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.VALORE_LORDO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field7() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.VALORE_AGGIO_DEM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field8() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.VALORE_AGGIO_DRM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field9() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.VALORE_TRATTENUTA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field10() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.VALORE_NETTO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field11() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.PATH_S3_648;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field12() {
        return MmRipartizione_648.MM_RIPARTIZIONE_648.NUMERO_FATTURA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getIdRipartizioneSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component3() {
        return getDataOraCreazione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component4() {
        return getIdSocietaTutela();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getIdCcidMetadata();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component6() {
        return getValoreLordo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component7() {
        return getValoreAggioDem();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component8() {
        return getValoreAggioDrm();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component9() {
        return getValoreTrattenuta();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component10() {
        return getValoreNetto();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component11() {
        return getPathS3_648();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component12() {
        return getNumeroFattura();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getIdRipartizioneSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value3() {
        return getDataOraCreazione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value4() {
        return getIdSocietaTutela();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getIdCcidMetadata();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value6() {
        return getValoreLordo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value7() {
        return getValoreAggioDem();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value8() {
        return getValoreAggioDrm();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value9() {
        return getValoreTrattenuta();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value10() {
        return getValoreNetto();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value11() {
        return getPathS3_648();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value12() {
        return getNumeroFattura();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value1(Long value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value2(Integer value) {
        setIdRipartizioneSiada(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value3(Timestamp value) {
        setDataOraCreazione(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value4(Integer value) {
        setIdSocietaTutela(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value5(String value) {
        setIdCcidMetadata(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value6(BigDecimal value) {
        setValoreLordo(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value7(BigDecimal value) {
        setValoreAggioDem(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value8(BigDecimal value) {
        setValoreAggioDrm(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value9(BigDecimal value) {
        setValoreTrattenuta(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value10(BigDecimal value) {
        setValoreNetto(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value11(String value) {
        setPathS3_648(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record value12(String value) {
        setNumeroFattura(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizione_648Record values(Long value1, Integer value2, Timestamp value3, Integer value4, String value5, BigDecimal value6, BigDecimal value7, BigDecimal value8, BigDecimal value9, BigDecimal value10, String value11, String value12) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        value10(value10);
        value11(value11);
        value12(value12);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached MmRipartizione_648Record
     */
    public MmRipartizione_648Record() {
        super(MmRipartizione_648.MM_RIPARTIZIONE_648);
    }

    /**
     * Create a detached, initialised MmRipartizione_648Record
     */
    public MmRipartizione_648Record(Long id, Integer idRipartizioneSiada, Timestamp dataOraCreazione, Integer idSocietaTutela, String idCcidMetadata, BigDecimal valoreLordo, BigDecimal valoreAggioDem, BigDecimal valoreAggioDrm, BigDecimal valoreTrattenuta, BigDecimal valoreNetto, String pathS3_648, String numeroFattura) {
        super(MmRipartizione_648.MM_RIPARTIZIONE_648);

        set(0, id);
        set(1, idRipartizioneSiada);
        set(2, dataOraCreazione);
        set(3, idSocietaTutela);
        set(4, idCcidMetadata);
        set(5, valoreLordo);
        set(6, valoreAggioDem);
        set(7, valoreAggioDrm);
        set(8, valoreTrattenuta);
        set(9, valoreNetto);
        set(10, pathS3_648);
        set(11, numeroFattura);
    }
}
